// Grid
@import "bootstrap-grid.css";

// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@import "~@angular/material/theming";
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat-core();

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$campus-resume-tool-primary: mat-palette($mat-light-green, 900);
$campus-resume-tool-accent: mat-palette($mat-blue, 900);

// The warn palette is optional (defaults to red).
$campus-resume-tool-warn: mat-palette($mat-red);

// Create the theme object (a Sass map containing all of the palettes).
$campus-resume-tool-theme: mat-light-theme(
    $campus-resume-tool-primary,
    $campus-resume-tool-accent,
    $campus-resume-tool-warn
);

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include angular-material-theme($campus-resume-tool-theme);

/* You can add global styles to this file, and also import other style files */
* {
    font-family: "Nunito", "Helvetica Neue", sans-serif;
}
html,
body {
    height: 100%;
}
body {
    // background: rgb(9, 9, 121);
    // background: linear-gradient(0deg, rgba(9, 9, 121, 1) 0%, rgba(0, 212, 255, 0.938813025210084) 78%);

    // Q Colors
    // background: rgb(32, 63, 129);
    // background: linear-gradient(0deg, rgba(32, 63, 129, 1) 0%, rgba(89, 182, 133, 1) 88%);

    background: #ffffff;

    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    margin: 0;
}

.mat-button,
.mat-raised-button,
.mat-icon-button,
.mat-stroked-button,
.mat-flat-button,
.mat-fab,
.mat-mini-fab {
    // font-family: "Roboto";
    letter-spacing: 2px;
    text-transform: uppercase;
    // // font-variant: all-small-caps;
    font-size: 0.85em;
    font-weight: 600;
}

.full-width-input {
    width: 100%;
}
